org.apache.lucene.codecs.pulsing

## Interface PulsingPostingsReader.PulsingEnumAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  PulsingPostingsReader.PulsingEnumAttributeImpl

Enclosing class:
  PulsingPostingsReader

    public static interface PulsingPostingsReader.PulsingEnumAttribute
    extends Attribute

A per-docsenum attribute that stores additional reuse information so that pulsing enums can keep a reference to their wrapped enums, and vice versa. this way we can always reuse.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Summary

Methods
`Map<PulsingPostingsReader,DocsEnum>` `enums()`

### Method Detail

#### enums

    Map<PulsingPostingsReader,DocsEnum> enums()